CGAL 6.1.2 - CGAL and Solvers: MixedIntegerProgramLinearObjective< FT > Concept Reference

CGAL 6.1.2 - CGAL and Solvers

Loading...
Searching...
No Matches
List of all members
MixedIntegerProgramLinearObjective< FT > Concept Reference
Reference Manual » Concepts

## Definition

template<typename FT>
class MixedIntegerProgramLinearObjective< FT >

`MixedIntegerProgramLinearObjective` is a concept of the linear objective function in a Mixed Integer Programming (MIP) problem.

Has models
  `CGAL::Linear_objective<FT>`

## Types
enum | Sense { MINIMIZE , MAXIMIZE , UNDEFINED }
| The objective sense (i.e., optimization direction). More...

## Creation
| MixedIntegerProgramLinearObjective (MixedIntegerProgramTraits *solver, Sense sense)
| Constructs a linear objective, initialized with the solver it belongs to and the objective sense.

## Operations
void | set_sense (Sense sense)
| Sets the objective sense.
Sense | sense () const
| Gets the objective sense.
void | set_coefficients (const std::unordered_map< const MixedIntegerProgramVariable *, FT > &coeffs)
| Sets the coefficients of the constraint.
void | add_coefficient (const MixedIntegerProgramVariable *var, FT coeff)
| Adds a coefficient to a variable of the constraint.
const std::unordered_map< const MixedIntegerProgramVariable *, FT > & | coefficients () const
| Returns the coefficients of the constraint.
FT | get_coefficient (const MixedIntegerProgramVariable *var) const
| Gets the coefficient of the variable in this constraint.
void | set_offset (FT value)
| Sets the constant term.
FT | offset () const
| Gets the constant term.
void | clear ()
| Clears the objective (i.e., removes all variables, resets the objective sense to UNDEFINED).

## Member Enumeration Documentation

## ◆ Sense

template<typename FT >

enum MixedIntegerProgramLinearObjective::Sense

The objective sense (i.e., optimization direction).

Enumerator
MINIMIZE |
MAXIMIZE |
UNDEFINED |

## Member Function Documentation

## ◆ clear()

template<typename FT >

void MixedIntegerProgramLinearObjective< FT >::clear | ( |  | ) |

Clears the objective (i.e., removes all variables, resets the objective sense to UNDEFINED).

Useful to reuse the object to define a new linear objective.